For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardWebsiteCommunity
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • API Reference
      • GETList Tags
      • POSTCreate Tag
      • GETGet Tag
      • POSTUpdate Tag
      • POSTAdd Tag to Entities
      • POSTRemove Tag from Entities
      • DELDelete Tag
  • External Links
    • Agent API Docs
    • OpenAPI Spec
LogoLogo
DashboardWebsiteCommunity
API ReferenceTags

List Tags

GET
/org/:org_id/project/:project_id/:entity_type/tag
GET
/api/v1/org/:org_id/project/:project_id/:entity_type/tag
$curl https://app.rightbrain.ai/api/v1/org/123e4567-e89b-12d3-a456-426614174000/project/123e4567-e89b-12d3-a456-426614174001/task/tag \
> -H "Authorization: Bearer <token>"
1{
2 "results": [
3 {
4 "name": "production",
5 "entity_type": "task",
6 "id": "0190a234-8dc6-6d08-aea9-928fcecad8f1",
7 "created_at": "string",
8 "is_project_tag": true,
9 "is_global_tag": true,
10 "project_id": "0190a234-9876-5432-10ab-cdef01234567",
11 "children": [],
12 "created": "2024-01-16T13:33:25.247662",
13 "modified": "2024-01-16T13:33:25.247662"
14 },
15 {
16 "name": "staging",
17 "entity_type": "task",
18 "id": "0190a234-8dc6-6d08-aea9-928fcecad8f2",
19 "created_at": "string",
20 "is_project_tag": true,
21 "is_global_tag": true,
22 "project_id": "0190a234-9876-5432-10ab-cdef01234567",
23 "children": [],
24 "created": "2024-01-16T14:00:00",
25 "modified": "2024-01-16T14:00:00"
26 },
27 {
28 "name": "experimental",
29 "entity_type": "task",
30 "id": "0190a234-8dc6-6d08-aea9-928fcecad8f3",
31 "created_at": "string",
32 "is_project_tag": true,
33 "is_global_tag": true,
34 "project_id": "0190a234-9876-5432-10ab-cdef01234567",
35 "children": [
36 {
37 "name": "v2-features",
38 "entity_type": "task",
39 "id": "0190a234-8dc6-6d08-aea9-928fcecad8f4",
40 "is_project_tag": true,
41 "parent_id": "0190a234-8dc6-6d08-aea9-928fcecad8f3",
42 "project_id": "0190a234-9876-5432-10ab-cdef01234567",
43 "children": [],
44 "created": "2024-01-16T15:30:00",
45 "modified": "2024-01-16T15:30:00"
46 }
47 ],
48 "created": "2024-01-16T15:00:00",
49 "modified": "2024-01-16T15:00:00"
50 }
51 ],
52 "pagination": {
53 "next_cursor": "0190a234-8dc6-6d08-aea9-928fcecad8f2",
54 "has_next": true,
55 "page_limit": 25
56 }
57}
List all tags in the project for the requested entity type.
Was this page helpful?
Previous

Create Tag

Next
Built with

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The unique identifier of the organization.
project_idstringRequiredformat: "uuid"
The unique identifier of the project.
entity_typeenumRequired

The type of entity this tag applies to (task, task_revision, task_share, skill, or task_agent_revision).

Allowed values:

Query parameters

page_limitintegerOptional1-100Defaults to 100

The maximum number of items to return per page. Defaults to 100 if not specified.

cursorstringOptionalformat: "uuid"

A cursor for pagination. Use the next_cursor value from the previous response to get the next page of results.

Response

Tags retrieved
resultslist of objects
The list of items returned for the current page.
paginationobject or null
Contains pagination information for the result set.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error